package com.seeyon.apps.src_contract.lease.fieldCtrl;

import java.util.List;

import com.seeyon.cap4.form.bean.ParamDefinition;
import com.seeyon.cap4.form.bean.fieldCtrl.FormFieldCustomCtrl;
import com.seeyon.cap4.form.util.Enums.ParamType;

import www.seeyon.com.utils.UUIDUtil;

/**
 * <pre>
 * 自定义控件:调用接口
 * </pre>
 */
public class UpdateLeaseContractFieldCtrl extends FormFieldCustomCtrl {

    /**
     * UUIDLong.longUUID()
     * UUIDUtil.getUUIDString()
     */
    public String getKey() {
        return "8242057900238996215";
    }
    
    public String getText() {
        return "变更租赁合同计算租金";
    }
    
    public static void main(String[] args) {
		System.out.println(UUIDUtil.getUUIDLong());
	}

    public String getFieldLength() {
        return "20";
    }

    /**
     * 控件初始化接口，此接口在控件初始化的时候，会调用，主要用于定义控件所属插件id、在表单编辑器中的图标、表单编辑器中有哪些属性可以设置。
     * 使用举例：在接口中定义自定义控件在在表单编辑器中有哪些控件属性需要配置
     */
    public void init() {
        setPluginId("contract");
        setIcon("cap-icon-contract");
        // 自定义参数
        ParamDefinition templateIdParam = new ParamDefinition();
        templateIdParam.setParamType(ParamType.button);
        addDefinition(templateIdParam);
    }

    /** (non-Javadoc)
     * @see com.seeyon.cap4.form.bean.fieldCtrl.FormFieldCustomCtrl#getPCInjectionInfo()
     * PC端的资源文件路径
     */
    public String getPCInjectionInfo() {
        return "{path:'apps_res/cap/customCtrlResources/updateleasecontractResources/',jsUri:'js/openUnflow.js',initMethod:'init',nameSpace:'field_" + getKey() + "'}";
    }

    /** (non-Javadoc)
     * @see com.seeyon.cap4.form.bean.fieldCtrl.FormFieldCustomCtrl#getMBInjectionInfo()
     * 移动端的资源地址
     */
    public String getMBInjectionInfo() {
        return "{path:'http://newwidget.v5.cmp/v1.0.0/',weixinpath:'newwidget',jsUri:'js/newwidget.js',initMethod:'init',nameSpace:'field_" + this.getKey() + "'}";
    }

    public boolean canBathUpdate() {
        return false;
    }

    public List<String[]> getListShowDefaultVal(Integer externalType) {
        return null;
    }

    /**
     * 初始值生成接口
     */	
    public String[] getDefaultVal(String defaultValue) {
        return new String[0];
    }

    public boolean canInjectionWord() {
        return false;
    }

}
